import { Timestamped } from '../models/timestamped';

export function TimestampIsTimeouted(
  obj: Timestamped,
  timeout: number,
): boolean {
  const now = new Date().getTime();
  return obj.timestamp__ < now - timeout;
}
